Subject: Linux-Activists - DOC Channel digest. 93-4-19-20:3
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Thu, 20 May 1993 14:23:58 +0300

Topics:
	     Re: Linux-Activists - NET Channel digest. 93-4-19-5:45

----------------------------------------------------------------------

From: Mitchum DSouza <[email-masked]>
Subject:     Re: Linux-Activists - NET Channel digest. 93-4-19-5:45
Date: Wed, 19 May 1993 18:54:13 +0300

> >From: "Paul Mossip" <[email-masked]>
> >Subject: rpc and saddr patch
> >Date: Wed, 19 May 1993 05:38:25 +0300
> >
>
> [...]
>
> >Question (that's been bugging me..) : what is host.conf?? (I realize
> >that it has to do with name resolution ... but I though that was
> >/etc/resolv.conf's duty. ) (just a quick hint.. I don't want to go get
>
> host.conf specifies order of name resolution (BIND or hosts).
>
> Here's mine:
>
> ---
>
> order hosts,bind
>
> ---
>
> if mine's wrong, I'm sure I'll hear about it now :-)
>

I surprised no that no one is entirely sure what this file does. Well here is
the manpage from the days when the code first went in to libnet.so - remember ?
and then eventually became part of libc.so.

Ignoring all the NIS/YP bits, here it is. (well that's until we have NIS/YP)
Formatted, and unformatted versions follow....

Is Rik (Man PROJECT) listening ??

Mitch
--------

RESOLV+(8)					       RESOLV+(8)

NAME
       resolv+ - enhanced DNS resolver library

DESCRIPTION
       Resolv+	is  a  modified	 version of the	standard Berkeley
       BIND host resolver library.  Enhancements include  support
       for  host  lookups  via	the  Internet  Domain Name System
       (DNS), the /etc/hosts file, and Sun's Network  Information
       Service (NIS).

       The  programmer interface to the	resolv+	routines is iden-
       tical to	that of	the standard resolver library.	For  fur-
       ther information	see the	appropriate manual pages.

CONFIGURATION
       As   with   the	 standard   resolver  library,	the  file
       /etc/resolv.conf	must be	set up before  the  resolver  can
       function.   In  addition, the file /etc/host.conf contains
       configuration information specific to resolv+.

       The host.conf file should contain one  configuration  key-
       word  per  line,	 followed  by  appropriate  configuration
       information.  The keywords recognized are order ,  trim	,
       multi  ,	 and  nospoof .	 Each keyword is described seper-
       ately below.

       order  This keyword specifies how host lookups are  to  be
	      performed.   It  should  be followed by one or more
	      lookup methods, seperated	by commas.  Valid methods
	      are bind , hosts and nis .

       trim   This  keyword  may  be listed more than once.  Each
	      time it should be	followed by a single domain name,
	      with  the	 leading  dot.	 When  set,  the  resolv+
	      library will automatically trim  the  given  domain
	      name from	the end	of any hostname	resolved via DNS.
	      This is intended	for  use  with	local  hosts  and
	      domains.

       multi  Valid  values are	on and off .  If set to	"on," the
	      resolv+ library will return all valid addresses for
	      a	host that appears in the /etc/hosts file, instead
	      of only the first.  This is off by default,  as  it
	      may  cause  a substantial	performance loss at sites
	      with large hosts files.

       nospoof
	      Valid values are on and off .  If	set to "on,"  the
	      resolv+  library	will  attempt to prevent hostname
	      spoofing to enhance the security of rlogin and rsh.
	      It  works	 as  follows:  after  performing  a  host
	      address lookup, resolv+  will  perform  a	 hostname
	      lookup  for  that	address.  If the two hostnames do
	      not match, the query will	fail.

			 August	19, 1992			1

RESOLV+(8)					       RESOLV+(8)

       alert  If this option is	 set  to  "on"	and  the  nospoof
	      option  is  also set, resolv+ will log a warning of
	      the error	via the	syslog facility.

ENVIRONMENT VARIABLES
       The following environment variables may be set to override
       resolv+'s configured behavior:

       RESOLV_HOST_CONF
	      If  set,	it  will  override  the	 default filename
	      ("/etc/host.conf") for  the  resolv+  configuration
	      file.

       RESOLV_SERV_ORDER
	      If  set,	will  override the "order" keyword in the
	      host.conf	file.

       RESOLV_SPOOF_CHECK
	      If set, will override the	spoof check flag.   Valid
	      values  are  "off"  to  disable checking,	"warn" to
	      enable checking and  warning,  and  "warn	 off"  to
	      enable checking but not warning.

       RESOLV_ADD_TRIM_DOMAINS
	      If  set,	contains  a  list of domains to	trim that
	      will  augment,  not  supersede,  the  list  in  the
	      host.conf	file.

       RESOLV_OVERRIDE_TRIM_DOMAINS
	      If  set,	contains  a  list of domains to	trim that
	      will override those in the host.conf file.

       RESOLV_MULTI
	      If  set,	overrides  the	"multi"	 keyword  in  the
	      host.conf	file.

FILES
       /etc/host.conf, /etc/hosts

BUGS
       Quite possibly.

AUTHOR
       The  original BIND resolver library comes from the Univer-
       sity of California at Berkeley's	Computer Science Research
       Group.	The  resolv+  modifications were made (in roughly
       chronological order)  by	 Bill  Wisner,	Patrick	 Gosling,
       Chris Metcalf, John DiMarco and J. Porter Clark.

SEE ALSO
       resolver(3), resolver(5), hosts(5), hostname(7),	named(8)

			 August	19, 1992			2

--------cut here for resolv+.8------------------------------------------

.TH RESOLV+ 8 "August 19, 1992"
.SH NAME
resolv+ - enhanced DNS resolver library
.SH DESCRIPTION
.I Resolv+
is a modified version of the standard Berkeley BIND host resolver library.
Enhancements include support for host lookups via the Internet Domain
Name System (DNS), the
.IR /etc/hosts
file, and Sun's Network Information Service (NIS).
.PP
The programmer interface to the resolv+ routines is identical to that
of the standard resolver library.  For further information see the
appropriate manual pages.
.SH CONFIGURATION
As with the standard resolver library, the file
.IR /etc/resolv.conf
must be set up before the resolver can function.
In addition, the file
.IR /etc/host.conf
contains configuration information specific to resolv+.
.PP
The
.IR host.conf
file should contain one configuration keyword per line, followed
by appropriate configuration information.  The keywords recognized are
.I order ,
.I trim ,
.I multi ,
and
.I nospoof .
Each keyword is described seperately below.
.IP order
This keyword specifies how host lookups are to be performed.  It should be
followed by one or more lookup methods, seperated by commas.  Valid
methods are
.I bind ,
.I hosts
and
.I nis .
.IP trim
This keyword may be listed more than once.  Each time it should be followed
by a single domain name, with the leading dot.  When set, the resolv+
library will automatically trim the given domain name from the end of
any hostname resolved via DNS.  This is intended for use with local hosts
and domains.
.IP multi
Valid values are
.I on
and
.I off .
If set to "on," the resolv+ library will return all valid addresses for
a host that appears in the
.IR /etc/hosts
file, instead of only the first.  This is off by default, as it may cause
a substantial performance loss at sites with large hosts files.
.IP nospoof
Valid values are
.I on
and
.I off .
If set to "on," the resolv+ library will attempt to prevent hostname spoofing
to enhance the security of
.IR rlogin
and
.IR rsh .
It works as follows: after performing a host address lookup, resolv+ will
perform a hostname lookup for that address.  If the two hostnames do not
match, the query will fail.
.IP alert
If this option is set to "on" and the
.I nospoof
option is also set, resolv+ will log a warning of the error via the
.IR syslog
facility.
.SH "ENVIRONMENT VARIABLES"
The following environment variables may be set to override resolv+'s
configured behavior:
.IP RESOLV_HOST_CONF
If set, it will override the default filename ("/etc/host.conf") for
the resolv+ configuration file.
.IP RESOLV_SERV_ORDER
If set, will override the "order" keyword in the host.conf file.
.IP RESOLV_SPOOF_CHECK
If set, will override the spoof check flag.  Valid values are "off"
to disable checking, "warn" to enable checking and warning, and "warn off"
to enable checking but not warning.
.IP RESOLV_ADD_TRIM_DOMAINS
If set, contains a list of domains to trim that will augment, not
supersede, the list in the host.conf file.
.IP RESOLV_OVERRIDE_TRIM_DOMAINS
If set, contains a list of domains to trim that will override those
in the host.conf file.
.IP RESOLV_MULTI
If set, overrides the "multi" keyword in the host.conf file.
.SH FILES
/etc/host.conf,
/etc/hosts
.SH BUGS
Quite possibly.
.SH AUTHOR
The original BIND resolver library comes from the University of California
at Berkeley's Computer Science Research Group.  The resolv+ modifications
were made (in roughly chronological order) by Bill Wisner, Patrick Gosling,
Chris Metcalf, John DiMarco and J. Porter Clark.
.SH "SEE ALSO"
resolver(3), resolver(5), hosts(5), hostname(7), named(8)

------------------------------

End of DOC Digest
*****************
-------